Create Inbox

**CLI:** ```bash agentmail pods:inboxes create --pod-id <pod_id> --username myagent --domain example.com ```

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pod_idstringRequired
ID of pod.

Request

This endpoint expects an object.
usernamestringOptional
Username of address. Randomly generated if not specified.
domainstringOptional

Domain of address. Must be a verified domain, or any subdomain of a verified domain that has subdomains enabled (e.g., bot.example.com). Defaults to agentmail.to.

display_namestringOptional

Display name: Display Name <username@domain.com>.

client_idstringOptional
Client ID of inbox.
metadatamap from strings to strings or doubles or booleansOptional
Custom metadata to attach to the inbox.

Response

This endpoint returns an object.
pod_idstring
ID of pod.
inbox_idstring
The ID of the inbox.
emailstring
Email address of the inbox.
updated_atdatetime
Time at which inbox was last updated.
created_atdatetime
Time at which inbox was created.
display_namestring

Display name: Display Name <username@domain.com>.

client_idstring
Client ID of inbox.
metadatamap from strings to strings or doubles or booleans
Custom metadata attached to the inbox.

Errors

400
Validation Error
422
Unprocessable Error